---
kind: pipeline
type: docker
name: deploy

steps:

- name: build
  image: plugins/hugo
  settings:
    hugo_version: 0.112.3
  
- name: deploy
  image: git.burble.dn42/burble.dn42/rsync
  environment:
    VAULT_TOKEN:
      from_secret: WWW_DEPLOY_TOKEN
    RSYNC_CHOWN: 81001:81001
    RSYNC_CHMOD: D2755,F644
  commands:
   - /rsync.sh de-fra1,ca-bhs2,us-lax1,us-nyc1 public/ apps/nginx/burble.dn42/
  when:
    branch: master
    event: push

---
kind: secret
name: WWW_DEPLOY_TOKEN
get:
  path: burble.dn42/kv/data/drone/rsync
  name: VAULT_TOKEN

---
kind: signature
hmac: ab5a6df6ff88ecb053d595fd5f0e7891eca503787f1269dd372688d0952eb592

...
